#!/bin/sh

DIRS=`cat DIRS`

for DIR in $DIRS ; do
  echo $DIR
  cd $DIR

  I=`sort -k9 -g -r 5My.out | awk '(NR==1){ print $1; }'`
  awk -vi=$I 'BEGIN{ gms=39.47841760; M_S=1.989e30; M_E=5.972e24; OFMT="%.8e"; }($1==i) && ($2<=5.0e6){ print $2/1.e6,$9/gms*M_S/M_E; }' < follow.out > mt.out
  ../w182/w182 < ../w182/w182.in > w182.out

  ../w182/w182a_ME.plt
#  ../w182/w182b_CW2.plt
#  ../w182/w182c_fHfW.plt
  ../w182/w182d_epsW.plt
#  ../w182/w182e_DW.plt

  cd ..
done

